Describe a finding
curl --request GET \
--url https://api.app.chainloop.dev/v1/findings/{finding_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.app.chainloop.dev/v1/findings/{finding_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.app.chainloop.dev/v1/findings/{finding_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": {
"package_purl": "package_purl",
"fixed_in_id": "fixed_in_id",
"status_changed_at": "2000-01-23T04:56:07.000Z",
"recommendation": "recommendation",
"created_at": "2000-01-23T04:56:07.000Z",
"external_id": "external_id",
"source": "source",
"project_name": "project_name",
"first_seen_in_id": "first_seen_in_id",
"project_version_name": "project_version_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"last_seen_in_id": "last_seen_in_id",
"assessment_ids": [
"assessment_ids",
"assessment_ids"
],
"details": "{}",
"id": "id",
"severity": "FINDING_SEVERITY_UNSPECIFIED",
"source_format": "source_format",
"component_id": "component_id",
"is_in_kev": true,
"first_seen_at": "2000-01-23T04:56:07.000Z",
"vulnerability": {
"is_in_kev": true,
"description": "description",
"external_id": "external_id",
"id": "id",
"cwes": [
"cwes",
"cwes"
],
"cvss_vectors": [
"cvss_vectors",
"cvss_vectors"
]
},
"finding_type": "FINDING_TYPE_UNSPECIFIED",
"status_detail": "FINDING_STATUS_DETAIL_UNSPECIFIED",
"resolution_reason": "FINDING_RESOLUTION_REASON_UNSPECIFIED",
"fixed_version": "fixed_version",
"resolved_at": "2000-01-23T04:56:07.000Z",
"artifact_ids": [
"artifact_ids",
"artifact_ids"
],
"location": "location",
"effective_assessment_status": "ASSESSMENT_STATUS_UNSPECIFIED",
"last_seen_at": "2000-01-23T04:56:07.000Z",
"status": "FINDING_STATUS_UNSPECIFIED"
}
}{
"code": 0,
"details": [
"details",
"details"
],
"message": "message"
}{
"code": 6,
"details": [
"details",
"details"
],
"message": "message"
}{
"code": 1,
"details": [
"details",
"details"
],
"message": "message"
}{
"code": 5,
"details": [
"details",
"details"
],
"message": "message"
}{
"code": 5,
"details": [
{
"@type": "@type"
},
{
"@type": "@type"
}
],
"message": "message"
}Describe a finding
Get detailed information about a specific security finding.
GET
/
v1
/
findings
/
{finding_id}
Describe a finding
Authorizations
Bearer token for authentication
Path Parameters
ID of the finding
Response
A successful response.
Response for the Describe method
Full details of a security finding
Show child attributes
Show child attributes
Example:
{
"package_purl": "package_purl",
"fixed_in_id": "fixed_in_id",
"status_changed_at": "2000-01-23T04:56:07.000Z",
"recommendation": "recommendation",
"created_at": "2000-01-23T04:56:07.000Z",
"external_id": "external_id",
"source": "source",
"project_name": "project_name",
"first_seen_in_id": "first_seen_in_id",
"project_version_name": "project_version_name",
"updated_at": "2000-01-23T04:56:07.000Z",
"last_seen_in_id": "last_seen_in_id",
"assessment_ids": ["assessment_ids", "assessment_ids"],
"details": "{}",
"id": "id",
"severity": "FINDING_SEVERITY_UNSPECIFIED",
"source_format": "source_format",
"component_id": "component_id",
"is_in_kev": true,
"first_seen_at": "2000-01-23T04:56:07.000Z",
"vulnerability": {
"is_in_kev": true,
"description": "description",
"external_id": "external_id",
"id": "id",
"cwes": ["cwes", "cwes"],
"cvss_vectors": ["cvss_vectors", "cvss_vectors"]
},
"finding_type": "FINDING_TYPE_UNSPECIFIED",
"status_detail": "FINDING_STATUS_DETAIL_UNSPECIFIED",
"resolution_reason": "FINDING_RESOLUTION_REASON_UNSPECIFIED",
"fixed_version": "fixed_version",
"resolved_at": "2000-01-23T04:56:07.000Z",
"artifact_ids": ["artifact_ids", "artifact_ids"],
"location": "location",
"effective_assessment_status": "ASSESSMENT_STATUS_UNSPECIFIED",
"last_seen_at": "2000-01-23T04:56:07.000Z",
"status": "FINDING_STATUS_UNSPECIFIED"
}
⌘I
